#version 330 core
layout (location = 0) in vec3 aPos;

out vec3 TexCoords;

uniform mat4 projection;
uniform mat4 view;
uniform vec3 hmdPosition;

void main()
{
    TexCoords = aPos;
	vec3 bPos = aPos*10.0f + hmdPosition;
    vec4 pos = projection * view * vec4(bPos, 1.0);
    gl_Position = pos.xyww;
}  